ECHO OFF
CLS
ECHO Please move this batch file in the BIN directory of your Inventor installation
ECHO You need administrative privileges to run this program
ECHO On Windows Vista systems ensure UAC (User Access Control) is switched off
PAUSE
CLS
EcHO  
ECHO LICENSE AGREEMENT: These terms and conditions amend the end user license agreement included with the Autodesk Inventor Software (the "Software") for which this tool is intended. By using it the user accepts and agrees to the following: While Autodesk, Inc. has made reasonable efforts to verify and test this tool it is provided solely on an "as is" basis, "with all faults". The tools is employed at the sole risk of the user. Autodesk disclaims all express or implied conditions, representations, and warranties of any kind, including any implied warranty or condition or merchantability, fitness for a particular purpose, or non infringement. User agrees that Autodesk is not liable for any direct, indirect, incidental, special, consequential, punitive, or exemplary damages, including but not limited to, damages for lost profits, revenue, goodwill, use data, electronically transmitted orders, or other economic advantage (even if Autodesk has been advised of the possibility of such damages), however caused and regardless of the theory of liability, whether in contract (including fundamental breach), tort (including negligence)  or otherwise. User has sole responsibility for adequate protection and backup of data and/or equipment used in connection with this tool and will not make a claim against Autodesk for lost  data, re-run time, inaccurate output, work delays, or lost profits resulting from the use of same. User agrees to hold Autodesk harmless from, and use covenants not to sue or otherwise seek liability from Autodesk for, any claims based on using the SDK or the sample files and tools contained, whether in contract (including fundamental breach), tort (including negligence) or otherwise. 
PAUSE
CLS
ECHO  ***************************************************** **
ECHO  *                                                      *
ECHO  *      Repairing Inventor component registration       *
ECHO  * Close this window now if you do not wish to proceed  *
ECHO  *  Please wait a few minutes for operation to finish   *
ECHO  *                                                      *
ECHO  *  You may safely close the "FeaFilesHandler" window   *
ECHO  *                                                      *
ECHO  ********************************************************
PAUSE
Connectivity.InventorAddin.EdmAddinRegistration.exe /uninstall
ping 127.0.0.1 -n 3% -w 1000> nul
Connectivity.InventorAddin.EdmAddinRegistration.exe /install
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterStress.exe /uninstall
cls
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterStress.exe /install
cls
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterAssemblyStressAnalysis.exe /uninstall
cls
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterAssemblyStressAnalysis.exe /install
cls
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterMoldDesign.exe /uninstall
cls
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterMoldDesign.exe /install
cls
ping 127.0.0.1 -n 3% -w 1000> nul
ECHO Working
ECHO Please wait...
RegisterCableAndHarness.exe /uninstall
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterCableAndHarness.exe /install
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterContentCenter.exe /uninstall
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterContentCenter.exe /install
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterDesignAccelerator.exe /uninstall
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterDesignAccelerator.exe /install
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterDynamicSimulation.exe /uninstall
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterDynamicSimulation.exe /install
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterFrameGenerator.exe /uninstall
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterFrameGenerator.exe /install
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterInventorStudio.exe /uninstall
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterInventorStudio.exe /install
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterInventorVault.exe /uninstall
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterInventorVault.exe /install
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterTaskScheduler.exe /uninstall
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterTaskScheduler.exe /install
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterTubeAndPipe.exe /uninstall
ping 127.0.0.1 -n 3% -w 1000> nul
RegisterTubeAndPipe.exe /install
ping 127.0.0.1 -n 3% -w 1000> nul
CLS
ECHO Almost finished...
ECHO Program will close automatically done
Inventor.exe /install
Exit